/* variables */
:root{
  --primary: #fff;
  --secondary: #000;
}

.success{
  color: green;
}
.error{
  color: red;
}
#desktop{
  display: none;
}

#welcome{
  height: 100vh;
}

#logo{
  width: 100px;
  display: none;
}

body,p,a,ul,li{
  margin: 0;
  padding: 0;
  text-decoration: none;
}
li{
  list-style-type: none;
}

/* base styles */
body{
  background: var(--secondary);
  overflow-x: hidden;
  font-family: 'Rubik Regular';
}
input,textarea{
  background: rgba(255,255,255,0.05);
  padding: 10px 16px;
  border-radius: 20px;
  border: 2px solid var(--primary);
  color: #f2f2f2;
  font-size: 1em;
}
.button{
  background: none;
  border: 2px solid var(--primary);
  color: var(--primary);
  padding: 6px 12px;
  width: auto !important;
  border-radius: 20px;
  text-transform: uppercase;
  box-shadow: 1px 2px 3px rgba(0,0,0,0.6);
  display: inline-block;
  font-size: 1em;
}
.button:hover{
  color: var(--secondary);
  background: var(--primary);
}
/* fonts */
@font-face {
  font-family: 'Rubik Regular';
  src: url("assets/fonts/Rubik-Regular.ttf") format("ttf"),
}
h1,h2,h3,h4{
  color: var(--primary);
  font-weight: normal;
  line-height: 1.4em;
}
p,a,li{
  color: var(--primary);
  line-height: 1.4em;
  font-size: 1em;
}
h1, h3{
  font-size: 1.2em;
}
h2{
  font-size: 1.6em;
}
h4{
  font-size: 1.1em;
}
.leading{
  font-size: 1.1em;
}

/* mobile styles */
.grid{
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  gap: 10px;
  box-sizing: border-box;
}
.site-nav{
  margin: 0 0px;
}
.site-nav{
  margin: 0 0;;
}
.site-nav h1{
  grid-column: 1/4;
  grid-row: 1;
  padding-bottom: 10px;
  border-bottom: 3px solid var(--primary);
  display: inline-block;
}
.site-nav ul{
  display: none;
}
#welcome{
  margin: 0;
  background-image: url(/assets/imgs/banner_image.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

#about-us{
  background-image: url(/assets/imgs/about-bg.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding: 30px 20px;
  height: max-content;
}
#about-us h3{
  margin-bottom: 0;
  text-align: center;
}
#portafolio{
  padding: 30px 20px;
  background-image: url(/assets/imgs/skills_bg.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}

#portafolio h3{
  margin-bottom: 0;
  text-align: center;
}
.about-grid{
  margin: 20px 0;
}
.about-grid a{
  grid-column: 1/9;
  display: flex;
  margin: 20px 0
}
.about-grid a *{
  margin: auto;
  max-width: 40%;
  align-self: center;
}
.about-grid h4{
  color: #F6B261;
}
.about-grid p{
  text-align: justify;
}
.about-grid a:nth-child(1){
  grid-column: 1/4;
}
.about-grid a:nth-child(2){
  grid-column: 5/9;
}
.projects{
  margin: 20px 0;
}
.projects a{
  grid-column: 1/9;
  display: flex;
  margin: 20px 0
}
.projects a *{
  margin: auto;
  max-width: 30%;
  align-self: center;
}
.projects h4{
  color: #F6B261;
  min-width: 70%;
  text-align: center;
}
.projects ul{
  color: var(--primary);
  min-width: 70%;
  text-align: left;
}
.projects li{
  list-style-type: disc;
  min-width: 100%;
}
.projects table{
  min-width: 70%;
  text-align: left;
  display: inline;
}
.projects th{
  font-size: 0.8em;
}
.projects td{
  color: var(--primary);
}
#clients{
  padding: 30px 20px;
  background: var(--secondary);
  background-image: url(/assets/imgs/clients_bg.png);
  background-repeat: no-repeat;
  background-size: cover;
}
#clients h3{
  text-align: center;
}
#clients ul{
  margin: 40px 0;
}
#clients li{
  padding: 10px;
  background: rgba(0,0,0,0.2);
  grid-column: span 4;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
#clients img{
  width: 100px;
  margin: 10px auto;
}
#clients p{
  text-align: center;
  margin: 0 20px;
}
#facilities{
  display: flex;
  justify-content:flex-start;
  flex-direction: column;
  background-image: url('/assets/imgs/clients_bg.png');
}
#facilities div{
  height: 50vh;
  background-image: url('/assets/imgs/facilities_sec.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position:left;
}
#facilities div:nth-child(2){
  align-self: center;
  background-image: none;
  color: var(--primary);
  padding: 30px;
}
#facilities h4{
  color: var(--primary);
  min-width: 70%;
  text-align: center;
  font-size: 1.2em;
}
#facilities ul{
  color: var(--primary);
  min-width: 70%;
  text-align: left;
}
#facilities li{
  list-style-type: disc;
}

#contacto{
  padding: 30px 20px;
  background: var(--secondary);
}
#contacto h3, #contacto p{
  margin-bottom: 0;
  text-align: center;
}
#contacto form{
  width: 80%;
  max-width: 400px;
  margin: 20px auto;
  text-align: center;
}
#contacto input,#contacto textarea{
  width: 100%;
  margin: 10px 0;
}
#contacto textarea{
  max-width: 100%;
  height: 200px;
}
#contacto .button{
  margin-top: 10px;
}
footer{
  padding: 30px 20px;
  background-color: rgba(255,255,255,0.05);
  background-size: 40%;
  background-repeat: no-repeat;
  background-position: top center;
}
footer .copyright{
  grid-column: 1/3;
  font-size: 0.8em;
}
footer .social{
  grid-column: 7/9;
  display: flex;
  justify-content: flex-end;
}
footer li{
  margin: 0 6px;
}
footer img{
  width: 20px;
}
/* TABLET STYLES */
@media screen and (min-width: 600px) {
  .site-nav{
    position: sticky;
    top: 0px;
    max-width: 100% !important;
    z-index: 1;
    padding: 10px 40px;
    background-color: rgba(0, 0, 0, 0.3);
  }
  #logo{
    display: block;
  }
  .welcome-img{
    grid-column: 1/9;
  }
  .welcome-img img{
    width: 100%;
  }
  .projects{
    margin-top: 40px;
  }
  .projects a{
    grid-column: span 4;
    display: block;
    margin: 20px 0;
  }
  .projects a *{
    margin: 10px;
    max-width: 60%;
    margin: 10px 20%;
  }
  .projects h4{
    min-width: 75%;
    margin: auto !important;
  }
  .projects ul{
    min-width: 100%;
  }
  .projects li{
    margin: 0 !important;
  }
  .projects table{
    margin: 0 !important;
  }
  #skills{
    padding: 30px 100px;
  }
  #facilities{
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
  }
  #facilities div{
    width: 60vw;
    min-height: 100vh;
    background-position: bottom;
  }
  #facilities div:nth-child(2){
    width: 40vh;
  }
  footer{
    background-size: 20%;
  }
}
/* SMALL SCREEN LAPTOPS STYLES */
@media screen and (min-width: 1024px) {
  body{
    font-size: 18px;
  }
  .grid{
    max-width: 1060px;
    margin: 0 auto;
    width: 100%;
  }
  .leading{
    margin: 20px 0;
  }
  .site-nav{
    padding: 0 20px;
  }
  .site-nav h1{
    grid-column: 1/3;
  }
  .site-nav ul{
    display: flex;
    grid-column: 6/9;
    justify-content: flex-end;
    align-self: center;
  }
  .site-nav li{
    margin-left: 20px;
  }

  #welcome{
    padding-bottom: 40px;
  }
  /* .projects a:nth-child(1){
    grid-column: 2/4;
  }
  .projects a:nth-child(2){
    grid-column: 4/6;
    padding-top: 140px;
  }
  .projects a:nth-child(3){
    grid-column: 6/8;
  } */
  .projects a p{
    max-width: 80%;
    margin: 30px 10%;
  }
  #clients{
    padding: 30px 20px;
  }
  #clients ul{
    margin: 40px auto;
  }
  #clients li{
    grid-column: span 2;
  }
  #clients p{
    max-width: 600px;
    margin: 40px auto;
  }
  footer{
    background-size: 20%;
    padding: 40px 20px;
  }
}
/*EL BACKUP ESTA GUARDADO EN MACBOOK DE JOAQUIN*/